ACTIONQUEUE_MAXIMUM_NUMBER_OF_ACTIONS	= 120;


ACTIONQUEUE_MINIMUM_TIME_BETWEEN_UPDATES = 0.1;

ACTIONQUEUE_LOWEST_PRIORITY			= -1000;
ACTIONQUEUE_NORMAL_PRIORITY			= 0;
ACTIONQUEUE_HIGHEST_PRIORITY		= 5000;

ACTIONQUEUE_SHAPESHIFT_INHIBIT_TIME = 7;

ACTIONQUEUE_OPTIONS_DEFAULT = {
	onlyWhenHasFullControl = true;
	range = {
		alwaysInRangeInInstances = false;
		opt = {
			checkPresentBuffsWhenNoRange = true;
			onlyBuffIfBuffsArePresent = false;
			overridePresentBuffsInInstances = false;
			ignoreRange = false;
			petAlwaysInRange = true;
			petNeverInRange = false;
			neverInRangeInBattlegrounds = true;
		}
	};
	message = {
		scale = 1;
		dragButtonVisible = false;
	};
	performance = {
		-- Whether to use Icon or Name debuff detection functions
		useDebuffIconFunctions = true;
	};
};


ActionQueue_Override_Binding_Pointers = {
	--"MoveForwardStart",
	"MoveForwardStop",
	--"MoveBackwardStart",
	"MoveBackwardStop",
	--"TurnLeftStart",
	"TurnLeftStop",
	--"TurnRightStart",
	"TurnRightStop",
	--"StrafeLeftStart",
	"StrafeLeftStop",
	--"StrafeRightStart",
	"StrafeRightStop",
	--"ActionButtonDown",
	--"ActionButtonUp",
	--"BonusActionButtonDown",
	--"BonusActionButtonUp",
	--"CameraOrSelectOrMoveStart",
	"CameraOrSelectOrMoveStop",
	--"TurnOrActionStart",
	"TurnOrActionStop",
	--"PitchUpStart",
	"PitchUpStop",
	--"PitchDownStart",
	"PitchDownStop"
};


ACTIONQUEUE_SHAPESHIFT_ICONS		= {
	"Interface\\Icons\\Ability_Druid_CatForm",
	"Interface\\Icons\\Ability_Druid_TravelForm",
	"Interface\\Icons\\Ability_Racial_BearForm",
	"Interface\\Icons\\Ability_Druid_AquaticForm",
	"Interface\\Icons\\Spell_Nature_SpiritWolf",
};

ACTIONQUEUE_CLASS_SHAPESHIFTERS		= {
	"DRUID",
	"SHAMAN",
};

ACTIONQUEUE_STEALTH_TEXTURE			= "Interface\\Icons\\Ability_Stealth";
ACTIONQUEUE_SHADOWMELD_TEXTURE		= "Interface\\Icons\\Ability_Ambush";


ACTIONQUEUE_ICON_CONCUSSIVE_SHOT	= "Interface\\Icons\\Spell_Frost_Stun";

-- Concussive Shot special talent icon can't be here since that causes all Concussion shots
-- to be "stuns"... handled seperately.
ACTIONQUEUE_STUNNED_ENEMY_ICONS		= {
	["Interface\\Icons\\Ability_Rogue_KidneyShot"] = true;
	["Interface\\Icons\\Ability_CheapShot"] = true;
	["Interface\\Icons\\Ability_Druid_Bash"] = true;
	["Interface\\Icons\\Spell_Shadow_GatherShadows"] = true;
	["Interface\\Icons\\Ability_ThunderBolt"] = true;
	["Interface\\Icons\\Spell_Holy_SealOfMight"] = true;
	["Interface\\Icons\\Spell_Frost_ChainsOfIce"] = true;
	["Interface\\Icons\\Ability_Gouge"] = true;
	["Interface\\Icons\\Spell_Nature_Sleep"] = true;
	["Interface\\Icons\\Spell_Fire_MeteorStorm"] = true;
	["Interface\\Icons\\Ability_Devour"] = true;
	["Interface\\Icons\\Ability_GolemThunderClap"] = true;
	["Interface\\Icons\\Ability_Druid_Mangle"] = true;
	["Interface\\Icons\\Spell_Fire_SelfDestruct"] = true;
	["Interface\\Icons\\Ability_Druid_SupriseAttack"] = true;
	["Interface\\Icons\\Spell_Fire_Volcano"] = true;
-- START: Two for Ravage?
	["Interface\\Icons\\Ability_GhoulFrenzy"] = true;
	["Interface\\Icons\\Ability_Druid_Ravage"] = true;
-- END: Two for Ravage?
	["Interface\\Icons\\Spell_Holy_PrayerOfHealing"] = true;
	["Interface\\Icons\\Ability_Warrior_Revenge"] = true;
	["Interface\\Icons\\Ability_Sap"] = true;
	["Interface\\Icons\\Spell_Shadow_MindSteal"] = true;
	["Interface\\Icons\\Spell_Nature_Slow"] = true;
	["Interface\\Icons\\Ability_Warrior_ShieldBash"] = true;
	["Interface\\Icons\\Spell_Holy_HolyBolt"] = true;
	["Interface\\Icons\\Spell_Arcane_StarFire"] = true;
	["Interface\\Icons\\Spell_Holy_Dizzy"] = true;
	["Interface\\Icons\\Ability_Hunter_MendPet"] = true;
	["Interface\\Icons\\Ability_Warrior_Cleave"] = true;
-- Polymorph - not exactly stun... but since Gouge is here...
	["Interface\\Icons\\Spell_Nature_Polymorph"] = true;
-- Banish - but we can't / shouldn't interact with entity so...
	["Interface\\Icons\\Spell_Shadow_Cripple"] = true;
};

ACTIONQUEUE_SILENCED_ENEMY_ICONS		= {
	["Interface\\Icons\\Spell_Shadow_ImpPhaseShift"] = true;
	["Interface\\Icons\\Ability_Kick"] = true;
	["Interface\\Icons\\Ability_Warrior_ShieldBash"] = true;
	["Interface\\Icons\\Spell_Shadow_MindRot"] = true;
	["Interface\\Icons\\Spell_Frost_IceShock"] = true;
-- Banish - but we can't / shouldn't interact with entity so...
	["Interface\\Icons\\Spell_Shadow_Cripple"] = true;
};

ACTIONQUEUE_SLEEP_ENEMY_ICONS			= {
	["Interface\\Icons\\Ability_Sap"] = true;
	["Interface\\Icons\\Spell_Nature_Polymorph"] = true;
	-- Gouge can not be included because of rend
	--["Interface\\Icons\\Ability_Gouge"] = true;
	["Interface\\Icons\\Spell_Shadow_MindSteal"] = true;
	["Interface\\Icons\\Spell_Shadow_Cripple"] = true;
};


ACTIONQUEUE_SMITE_DEMON_ICON 			= "Interface\\Icons\\Spell_Holy_HolyBolt";


ACTIONQUEUE_UNITNAMES_PARTY = {};
for i = 1, 4 do ACTIONQUEUE_UNITNAMES_PARTY[i] = "party"..i; end

ACTIONQUEUE_UNITNAMES_PARTY_PET = {};
for i = 1, 4 do ACTIONQUEUE_UNITNAMES_PARTY_PET[i] = "party"..i.."pet"; end

ACTIONQUEUE_UNITNAMES_RAID = {};
for i = 1, 40 do ACTIONQUEUE_UNITNAMES_RAID[i] = "raid"..i; end

ACTIONQUEUE_UNITNAMES_RAID_PET = {};
for i = 1, 40 do ACTIONQUEUE_UNITNAMES_RAID_PET[i] = "raid"..i.."pet"; end

